Apache JMeter

## org.apache.jmeter.visualizers
Interface Printable

All Known Implementing Classes:
  AbstractAssertionGui, AbstractConfigGui, AbstractControllerGui, AbstractJMeterGuiComponent, AbstractListenerGui, AbstractPostProcessorGui, AbstractPreProcessorGui, AbstractReportGui, AbstractSamplerGui, AbstractScopedJMeterGuiComponent, AbstractThreadGroupGui, AbstractTimerGui, AbstractVisualizer, AjpSamplerGui, AnchorModifierGui, ArgumentsPanel, AssertionGui, AssertionVisualizer, AuthPanel, BarChartGui, BeanShellAssertionGui, BeanShellSamplerGui, BSFSamplerGui, CacheManagerGui, ComparisonVisualizer, ConstantTimerGui, CookiePanel, CounterConfigGui, DistributionGraphVisualizer, DurationAssertionGui, ExampleSamplerGui, ForeachControlPanel, FtpConfigGui, FtpTestSamplerGui, GaussianRandomTimerGui, GraphAccumVisualizer, GraphVisualizer, HeaderPanel, HTMLAssertionGui, HTMLReportWriterGui, HTTPArgumentsPanel, HttpDefaultsGui, HttpMirrorControlGui, HttpTestSampleGui, HttpTestSampleGui2, IfControllerPanel, IncludeControllerGui, InterleaveControlGui, JavaConfigGui, JavaTestSamplerGui, JMSPublisherGui, JMSSamplerGui, JMSSubscriberGui, JUnitTestSamplerGui, LDAPArgumentsPanel, LdapConfigGui, LdapExtConfigGui, LdapExtTestSamplerGui, LdapTestSamplerGui, LineGraphGui, LogicControllerGui, LoginConfigGui, LoopControlPanel, MailerVisualizer, MailReaderSamplerGui, MD5HexAssertionGUI, ModuleControllerGui, MonitorHealthVisualizer, ObsoleteGui, OnceOnlyControllerGui, ParamModifierGui, PropertyControlGui, ProxyControlGui, RandomControlGui, RandomOrderControllerGui, RecordController, RegexExtractorGui, ReportGui, ReportPageGui, ResultActionGui, ResultSaverGui, RunTimeGui, SimpleConfigGui, SimpleDataWriter, SizeAssertionGui, SMIMEAssertionGui, SmtpSamplerGui, SoapSamplerGui, SplineVisualizer, StatGraphVisualizer, StatVisualizer, SummariserGui, SummaryReport, SwitchControllerGui, TableGui, TableVisualizer, TCPConfigGui, TCPSamplerGui, TestActionGui, TestBeanGUI, TestPlanGui, ThreadGroupGui, ThroughputControllerGui, TransactionControllerGui, UniformRandomTimerGui, URLRewritingModifierGui, UserParameterModifierGui, UserParametersGui, ViewResultsFullVisualizer, WebServiceSamplerGui, WhileControllerGui, WorkBenchGui, XMLAssertionGui, XMLSchemaAssertionGUI, XPathAssertionGui, XPathExtractorGui

    public interface Printable

Printable is used by components that can be saved to an external file. It is up to the visualizers to get the right component containing the JPanel or JComponent to save.

Method Summary
`JComponent` `getPrintableComponent()`

Method Detail

### getPrintableComponent

    JComponent getPrintableComponent()

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.